// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 56;
	objects = {

/* Begin PBXBuildFile section */
		2F6B412D2DE9818300E86205 /* AudioManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2F6B41272DE9818300E86205 /* AudioManager.swift */; };
		2F6B412E2DE9818300E86205 /* NlsRingBuffer.mm in Sources */ = {isa = PBXBuildFile; fileRef = 2F6B412A2DE9818300E86205 /* NlsRingBuffer.mm */; };
		2F6B412F2DE9818300E86205 /* AudioController.m in Sources */ = {isa = PBXBuildFile; fileRef = 2F6B412C2DE9818300E86205 /* AudioController.m */; };
		2FC55B822D95687A00DB893D /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 2FC55B812D95687A00DB893D /* Assets.xcassets */; };
		2FC55B852D95687A00DB893D /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 2FC55B842D95687A00DB893D /* Preview Assets.xcassets */; };
		2FC55B892D95689B00DB893D /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2F44381A2D951C9B00BB6263 /* SceneDelegate.swift */; };
		2FC55B8A2D95689B00DB893D /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2F4438192D951C9B00BB6263 /* AppDelegate.swift */; };
		2FC55B8B2D95689B00DB893D /* FirstViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2F4438182D951C9B00BB6263 /* FirstViewController.swift */; };
		2FC55B8C2D95689B00DB893D /* ChatViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2F4437FC2D91850700BB6263 /* ChatViewController.swift */; };
		2FC55B922D95690C00DB893D /* alivcffmpeg.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 2D1F6D9E2CE1D2BE0021F5FD /* alivcffmpeg.framework */; };
		2FC55B932D95690C00DB893D /* alivcffmpeg.framework in Embed Frameworks */ = {isa = PBXBuildFile; fileRef = 2D1F6D9E2CE1D2BE0021F5FD /* alivcffmpeg.framework */; settings = {ATTRIBUTES = (CodeSignOnCopy, RemoveHeadersOnCopy, ); }; };
		2FC55B952D95690E00DB893D /* AliVCSDK_ARTC.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 2DCEED052C77316400CC1C74 /* AliVCSDK_ARTC.framework */; };
		2FC55B962D95690E00DB893D /* AliVCSDK_ARTC.framework in Embed Frameworks */ = {isa = PBXBuildFile; fileRef = 2DCEED052C77316400CC1C74 /* AliVCSDK_ARTC.framework */; settings = {ATTRIBUTES = (CodeSignOnCopy, RemoveHeadersOnCopy, ); }; };
		2FC55B992D95691000DB893D /* SnapKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 2F44380A2D93E4CC00BB6263 /* SnapKit.framework */; };
		2FC55B9A2D95691000DB893D /* SnapKit.framework in Embed Frameworks */ = {isa = PBXBuildFile; fileRef = 2F44380A2D93E4CC00BB6263 /* SnapKit.framework */; settings = {ATTRIBUTES = (CodeSignOnCopy, RemoveHeadersOnCopy, ); }; };
		2FC55B9B2D956A6700DB893D /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 2F44381E2D951F5F00BB6263 /* LaunchScreen.storyboard */; };
		2FC55B9C2D956A6700DB893D /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 2F4438222D952FB900BB6263 /* Main.storyboard */; };
		2FFF91B52DD4BF6B0085741A /* multimodal_dialog.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 2FFF91B42DD4BF6B0085741A /* multimodal_dialog.framework */; };
		2FFF91B62DD4BF6B0085741A /* multimodal_dialog.framework in Embed Frameworks */ = {isa = PBXBuildFile; fileRef = 2FFF91B42DD4BF6B0085741A /* multimodal_dialog.framework */; settings = {ATTRIBUTES = (CodeSignOnCopy, RemoveHeadersOnCopy, ); }; };
/* End PBXBuildFile section */

/* Begin PBXCopyFilesBuildPhase section */
		2FC55B942D95690C00DB893D /* Embed Frameworks */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 10;
			files = (
				2FC55B932D95690C00DB893D /* alivcffmpeg.framework in Embed Frameworks */,
				2FC55B962D95690E00DB893D /* AliVCSDK_ARTC.framework in Embed Frameworks */,
				2FFF91B62DD4BF6B0085741A /* multimodal_dialog.framework in Embed Frameworks */,
				2FC55B9A2D95691000DB893D /* SnapKit.framework in Embed Frameworks */,
			);
			name = "Embed Frameworks";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		2D1F6D9E2CE1D2BE0021F5FD /* alivcffmpeg.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = alivcffmpeg.framework; sourceTree = "<group>"; };
		2DCEED052C77316400CC1C74 /* AliVCSDK_ARTC.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = AliVCSDK_ARTC.framework; sourceTree = "<group>"; };
		2F4437FC2D91850700BB6263 /* ChatViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChatViewController.swift; sourceTree = "<group>"; };
		2F44380A2D93E4CC00BB6263 /* SnapKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = SnapKit.framework; sourceTree = "<group>"; };
		2F4438182D951C9B00BB6263 /* FirstViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = FirstViewController.swift; sourceTree = "<group>"; };
		2F4438192D951C9B00BB6263 /* AppDelegate.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		2F44381A2D951C9B00BB6263 /* SceneDelegate.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		2F44381E2D951F5F00BB6263 /* LaunchScreen.storyboard */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; path = LaunchScreen.storyboard; sourceTree = "<group>"; };
		2F4438222D952FB900BB6263 /* Main.storyboard */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; path = Main.storyboard; sourceTree = "<group>"; };
		2F4438842D95593F00BB6263 /* libiconv.tbd */ = {isa = PBXFileReference; lastKnownFileType = "sourcecode.text-based-dylib-definition"; name = libiconv.tbd; path = Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS17.5.sdk/usr/lib/libiconv.tbd; sourceTree = DEVELOPER_DIR; };
		2F6B41262DE9818200E86205 /* DialogDemo-Bridging-Header.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "DialogDemo-Bridging-Header.h"; sourceTree = "<group>"; };
		2F6B41272DE9818300E86205 /* AudioManager.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AudioManager.swift; sourceTree = "<group>"; };
		2F6B41292DE9818300E86205 /* NlsRingBuffer.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = NlsRingBuffer.h; sourceTree = "<group>"; };
		2F6B412A2DE9818300E86205 /* NlsRingBuffer.mm */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.objcpp; path = NlsRingBuffer.mm; sourceTree = "<group>"; };
		2F6B412B2DE9818300E86205 /* AudioController.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AudioController.h; sourceTree = "<group>"; };
		2F6B412C2DE9818300E86205 /* AudioController.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = AudioController.m; sourceTree = "<group>"; };
		2FC55B7B2D95687900DB893D /* DialogDemo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = DialogDemo.app; sourceTree = BUILT_PRODUCTS_DIR; };
		2FC55B812D95687A00DB893D /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		2FC55B842D95687A00DB893D /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		2FFF91B42DD4BF6B0085741A /* multimodal_dialog.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; path = multimodal_dialog.framework; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		2FC55B782D95687900DB893D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2FC55B922D95690C00DB893D /* alivcffmpeg.framework in Frameworks */,
				2FC55B952D95690E00DB893D /* AliVCSDK_ARTC.framework in Frameworks */,
				2FFF91B52DD4BF6B0085741A /* multimodal_dialog.framework in Frameworks */,
				2FC55B992D95691000DB893D /* SnapKit.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		2D7944A72C6E084D00CFA6BF = {
			isa = PBXGroup;
			children = (
				2FC55B7C2D95687900DB893D /* DialogDemo */,
				2D7944B22C6E084D00CFA6BF /* Products */,
				2D7944BB2C6E189800CFA6BF /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		2D7944B22C6E084D00CFA6BF /* Products */ = {
			isa = PBXGroup;
			children = (
				2FC55B7B2D95687900DB893D /* DialogDemo.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		2D7944BB2C6E189800CFA6BF /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				2FFF91B42DD4BF6B0085741A /* multimodal_dialog.framework */,
				2F4438842D95593F00BB6263 /* libiconv.tbd */,
				2F44380A2D93E4CC00BB6263 /* SnapKit.framework */,
				2DCEED052C77316400CC1C74 /* AliVCSDK_ARTC.framework */,
				2D1F6D9E2CE1D2BE0021F5FD /* alivcffmpeg.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		2FC55B7C2D95687900DB893D /* DialogDemo */ = {
			isa = PBXGroup;
			children = (
				2F44381E2D951F5F00BB6263 /* LaunchScreen.storyboard */,
				2F4438222D952FB900BB6263 /* Main.storyboard */,
				2F4438192D951C9B00BB6263 /* AppDelegate.swift */,
				2F4438182D951C9B00BB6263 /* FirstViewController.swift */,
				2F44381A2D951C9B00BB6263 /* SceneDelegate.swift */,
				2F4437FC2D91850700BB6263 /* ChatViewController.swift */,
				2FC55B812D95687A00DB893D /* Assets.xcassets */,
				2F6B412B2DE9818300E86205 /* AudioController.h */,
				2F6B412C2DE9818300E86205 /* AudioController.m */,
				2F6B41272DE9818300E86205 /* AudioManager.swift */,
				2F6B41292DE9818300E86205 /* NlsRingBuffer.h */,
				2F6B412A2DE9818300E86205 /* NlsRingBuffer.mm */,
				2FC55B832D95687A00DB893D /* Preview Content */,
				2F6B41262DE9818200E86205 /* DialogDemo-Bridging-Header.h */,
			);
			path = DialogDemo;
			sourceTree = "<group>";
		};
		2FC55B832D95687A00DB893D /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				2FC55B842D95687A00DB893D /* Preview Assets.xcassets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		2FC55B7A2D95687900DB893D /* DialogDemo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 2FC55B862D95687A00DB893D /* Build configuration list for PBXNativeTarget "DialogDemo" */;
			buildPhases = (
				2FC55B772D95687900DB893D /* Sources */,
				2FC55B782D95687900DB893D /* Frameworks */,
				2FC55B792D95687900DB893D /* Resources */,
				2FC55B942D95690C00DB893D /* Embed Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = DialogDemo;
			productName = Convsation_Demo;
			productReference = 2FC55B7B2D95687900DB893D /* DialogDemo.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		2D7944A82C6E084D00CFA6BF /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1540;
				LastUpgradeCheck = 1540;
				TargetAttributes = {
					2FC55B7A2D95687900DB893D = {
						CreatedOnToolsVersion = 15.4;
						LastSwiftMigration = 1540;
					};
				};
			};
			buildConfigurationList = 2D7944AB2C6E084D00CFA6BF /* Build configuration list for PBXProject "multimodal_dialog_sdk" */;
			compatibilityVersion = "Xcode 14.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 2D7944A72C6E084D00CFA6BF;
			productRefGroup = 2D7944B22C6E084D00CFA6BF /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				2FC55B7A2D95687900DB893D /* DialogDemo */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		2FC55B792D95687900DB893D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2FC55B9B2D956A6700DB893D /* LaunchScreen.storyboard in Resources */,
				2FC55B9C2D956A6700DB893D /* Main.storyboard in Resources */,
				2FC55B852D95687A00DB893D /* Preview Assets.xcassets in Resources */,
				2FC55B822D95687A00DB893D /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		2FC55B772D95687900DB893D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2FC55B8B2D95689B00DB893D /* FirstViewController.swift in Sources */,
				2FC55B8A2D95689B00DB893D /* AppDelegate.swift in Sources */,
				2FC55B8C2D95689B00DB893D /* ChatViewController.swift in Sources */,
				2F6B412D2DE9818300E86205 /* AudioManager.swift in Sources */,
				2F6B412F2DE9818300E86205 /* AudioController.m in Sources */,
				2FC55B892D95689B00DB893D /* SceneDelegate.swift in Sources */,
				2F6B412E2DE9818300E86205 /* NlsRingBuffer.mm in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		2D7944B62C6E084D00CFA6BF /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				CURRENT_PROJECT_VERSION = 1;
				DEAD_CODE_STRIPPING = YES;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				VERSIONING_SYSTEM = "apple-generic";
				VERSION_INFO_PREFIX = "";
			};
			name = Debug;
		};
		2D7944B72C6E084D00CFA6BF /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				CURRENT_PROJECT_VERSION = 1;
				DEAD_CODE_STRIPPING = YES;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SWIFT_COMPILATION_MODE = wholemodule;
				VERSIONING_SYSTEM = "apple-generic";
				VERSION_INFO_PREFIX = "";
			};
			name = Release;
		};
		2FC55B872D95687A00DB893D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DERIVE_MACCATALYST_PRODUCT_BUNDLE_IDENTIFIER = YES;
				DEVELOPMENT_ASSET_PATHS = "";
				DEVELOPMENT_TEAM = 7DN2C9J648;
				ENABLE_PREVIEWS = YES;
				FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)",
				);
				GENERATE_INFOPLIST_FILE = NO;
				INFOPLIST_FILE = "DialogDemo-Info.plist";
				INFOPLIST_KEY_CFBundleDisplayName = MULTIMODAL;
				INFOPLIST_KEY_LSApplicationCategoryType = "";
				INFOPLIST_KEY_LSSupportsOpeningDocumentsInPlace = YES;
				INFOPLIST_KEY_NSCameraUsageDescription = "";
				INFOPLIST_KEY_NSMicrophoneUsageDescription = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.aliyun.tongyi.multimodaldialog;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = iphoneos;
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = NO;
				SUPPORTS_XR_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_OBJC_BRIDGING_HEADER = "DialogDemo/DialogDemo-Bridging-Header.h";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		2FC55B882D95687A00DB893D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DERIVE_MACCATALYST_PRODUCT_BUNDLE_IDENTIFIER = YES;
				DEVELOPMENT_ASSET_PATHS = "";
				DEVELOPMENT_TEAM = 7DN2C9J648;
				ENABLE_PREVIEWS = YES;
				FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"$(PROJECT_DIR)",
				);
				GENERATE_INFOPLIST_FILE = NO;
				INFOPLIST_FILE = "DialogDemo-Info.plist";
				INFOPLIST_KEY_CFBundleDisplayName = MULTIMODAL;
				INFOPLIST_KEY_LSApplicationCategoryType = "";
				INFOPLIST_KEY_LSSupportsOpeningDocumentsInPlace = YES;
				INFOPLIST_KEY_NSCameraUsageDescription = "";
				INFOPLIST_KEY_NSMicrophoneUsageDescription = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.aliyun.tongyi.multimodaldialog;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = iphoneos;
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = NO;
				SUPPORTS_XR_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_OBJC_BRIDGING_HEADER = "DialogDemo/DialogDemo-Bridging-Header.h";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		2D7944AB2C6E084D00CFA6BF /* Build configuration list for PBXProject "multimodal_dialog_sdk" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2D7944B62C6E084D00CFA6BF /* Debug */,
				2D7944B72C6E084D00CFA6BF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		2FC55B862D95687A00DB893D /* Build configuration list for PBXNativeTarget "DialogDemo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2FC55B872D95687A00DB893D /* Debug */,
				2FC55B882D95687A00DB893D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 2D7944A82C6E084D00CFA6BF /* Project object */;
}
